<?php

/**
 * @file
 * Editor CKEditor integration for the lite module.
 */

/**
 * Implements hook_editor_ckeditor_plugins().
 */
function lite_editor_ckeditor_plugins() {
  $plugins = array();

  // Only declare the CKEditor plugin if the LITE library is available.
  if ($library = libraries_detect('lite')) {
    $path = drupal_get_path('module', 'lite');

    $required_html = array(
      array(
        'tags' => array('del'),
        'attributes' => array('data-cid', 'data-userid', 'data-username', 'data-session-id', 'data-changedata', 'data-time', 'data-last-change-time'),
        'classes' => array('ice-del', 'ice-cts-*'),
      ),
      array(
        'tags' => array('ins'),
        'attributes' => array('data-cid', 'data-userid', 'data-username', 'data-session-id', 'data-changedata', 'data-time', 'data-last-change-time'),
        'classes' => array('ice-ins', 'ice-cts-*'),
      ),
    );

    // Plugin for tracking changes within CKEditor.
    $plugins['lite'] = array(
      'label' => t('LITE'),
      'file' => $path . '/plugins/lite.lite.inc',
      'plugin' => $library['library path'] . '/plugin.js',
      'buttons' => array(
        'lite-acceptall' => array(
          'label' => t('Accept all changes'),
          'image' => $library['library path'] . '/icons/lite-acceptall.png',
          'required_html' => $required_html,
        ),
        'lite-rejectall' => array(
          'label' => t('Reject all changes'),
          'image' => $library['library path'] . '/icons/lite-rejectall.png',
          'required_html' => $required_html,
        ),
        'lite-acceptone' => array(
          'label' => t('Accept change'),
          'image' => $library['library path'] . '/icons/lite-acceptone.png',
          'required_html' => $required_html,
        ),
        'lite-rejectone' => array(
          'label' => t('Reject change'),
          'image' => $library['library path'] . '/icons/lite-rejectone.png',
          'required_html' => $required_html,
        ),
        'lite-toggleshow' => array(
          'label' => t('Show/hide tracked changes'),
          'image' => $library['library path'] . '/icons/lite-toggleshow.png',
          'required_html' => $required_html,
        ),
        'lite-toggletracking' => array(
          'label' => t('Start/stop tracking changes'),
          'image' => $library['library path'] . '/icons/lite-toggletracking.png',
          'required_html' => $required_html,
        ),
      ),
      'supports_configuration' => TRUE,
      'config callback' => 'lite_lite_config',
      'settings form' => 'lite_lite_settings_form',
    );
  }

  return $plugins;
}
