<?php

/**
 * @file
 * Defines the "lite" plugin.
 */

/**
 * Config callback for the 'lite' plugin.
 *
 * @param object $format
 *  A text format object.
 *
 * @return array
 *   An associative array of configuration settings.
 */
function lite_lite_config($format) {
  global $user;

  $config = array(
    'lite' => array(
      'userId' => $user->uid,
      'userName' => check_plain(format_username($user)),
      'isTracking' => TRUE,
    ),
  );

  $settings = $format->editor_settings;

  if (!isset($settings['plugins']['lite']['is_tracking'])) {
    return $config;
  }

  $is_tracking = $settings['plugins']['lite']['is_tracking'];
  $config['lite']['isTracking'] = (bool) $is_tracking;

  return $config;
}

/**
 * Settings form for the "lite" CKEditor plugin.
 */
function lite_lite_settings_form($form, &$form_state, $format) {
  // Defaults.
  $config = array('is_tracking' => TRUE);
  $settings = $format->editor_settings;
  if (isset($settings['plugins']['lite'])) {
    $config = $settings['plugins']['lite'];
  }

  $form['is_tracking'] = array(
    '#title' => t('Is tracking'),
    '#type' => 'checkbox',
    '#default_value' => $config['is_tracking'],
    '#description' => t('Uncheck to start with change tracking turned off.'),
    '#attached' => array(
      'library' => array(array('lite', 'lite.lite.admin')),
    ),
  );

  return $form;
}
